Bug 23106 - Totals are unclear when a credit is involved on the 'Pay fines' screen
Summary: Totals are unclear when a credit is involved on the 'Pay fines' screen
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14825
  Show dependency treegraph
 
Reported: 2019-06-12 13:59 UTC by Martin Renvoize
Modified: 2019-07-25 20:08 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Proposal (76.56 KB, image/png)
2019-06-13 08:15 UTC, Martin Renvoize
Details
Bug 23106: Tweak display of totals on payment page (2.43 KB, patch)
2019-06-13 09:05 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23106: Tweak display of totals on payment page (2.48 KB, patch)
2019-06-14 13:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23106: Tweak display of totals on payment page (2.54 KB, patch)
2019-06-14 18:22 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23106: Tweak display of totals on payment page (2.60 KB, patch)
2019-06-14 18:37 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-06-12 13:59:42 UTC
We currently display the unapplied credit lines (along with an 'apply credit' button) above the 'Total' line and then we include the un-applied credit amount in the total amount.

This is confusing to the end user.
Comment 1 Andrew Fuerste-Henry 2019-06-12 14:26:53 UTC
Do you think it would be more clear to show both the pre-credit total and what the total would be after the credit is applied? Or to just show the pre-credit total? I'm honestly not sure.
Comment 2 Martin Renvoize 2019-06-13 08:01:40 UTC
I personally think both with a clear descriptive label on each.. I'd probably put the initial total above the credit lines you can apply and then the reduced total below it.

I'd really love to see the ability to select which debts you apply each credit to too at some point.
Comment 3 Martin Renvoize 2019-06-13 08:15:07 UTC
Created attachment 90562 [details]
Proposal
Comment 4 Martin Renvoize 2019-06-13 09:05:23 UTC
Created attachment 90563 [details] [review]
Bug 23106: Tweak display of totals on payment page

This patch tweaks the display of totals on the fines payments page to
clarify between the totals before and after applying credits.

Test Plan:
1) Add some debts and credits to a patrons account
2) Look at the pay page before applying the patch
3) Look at the pay page after applying the patch
4) Varify the new layout is an improvment or not

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Owen Leonard 2019-06-14 13:47:28 UTC
Created attachment 90600 [details] [review]
Bug 23106: Tweak display of totals on payment page

This patch tweaks the display of totals on the fines payments page to
clarify between the totals before and after applying credits.

Test Plan:
1) Add some debts and credits to a patrons account
2) Look at the pay page before applying the patch
3) Look at the pay page after applying the patch
4) Verify the new layout is an improvment or not

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Maryse Simard 2019-06-14 18:22:20 UTC
Created attachment 90621 [details] [review]
Bug 23106: Tweak display of totals on payment page

This patch tweaks the display of totals on the fines payments page to
clarify between the totals before and after applying credits.

Test Plan:
1) Add some debts and credits to a patrons account
2) Look at the pay page before applying the patch
3) Look at the pay page after applying the patch
4) Verify the new layout is an improvment or not

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 7 Nick Clemens 2019-06-14 18:37:14 UTC
Created attachment 90625 [details] [review]
Bug 23106: Tweak display of totals on payment page

This patch tweaks the display of totals on the fines payments page to
clarify between the totals before and after applying credits.

Test Plan:
1) Add some debts and credits to a patrons account
2) Look at the pay page before applying the patch
3) Look at the pay page after applying the patch
4) Verify the new layout is an improvment or not

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Martin Renvoize 2019-06-24 13:50:49 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Martin Renvoize 2019-06-24 14:48:20 UTC
Nice work!

Pushed to master for 19.11.00
Comment 10 Fridolin SOMERS 2019-07-24 06:55:39 UTC
Pushed to 19.05.x for 19.05.03
Comment 11 Lucas Gass 2019-07-25 20:08:43 UTC
doesn't apply cleanly to 18.11.x and the rebase is a tad tricky for me, I don't want to ruin fines and credits therefore I am not backporting to 18.11.x.